# instance.cpp File Reference

writeme More...

`#include "instance.h"`
`#include <cassert>`
`#include <gtkmm/stock.h>`
`#include <gtkmm/image.h>`
`#include <iostream>`
`#include <gtkmm/button.h>`
`#include "canvasview.h"`
`#include "app.h"`
`#include <sigc++/signal.h>`
`#include <sigc++/adaptors/hide.h>`
`#include "toolbox.h"`
`#include "onemoment.h"`
`#include <synfig/savecanvas.h>`
`#include "autorecover.h"`
`#include <sigc++/retype_return.h>`
`#include <sigc++/retype.h>`
`#include <synfig/valuenode_composite.h>`
`#include <synfig/valuenode_duplicate.h>`
`#include "widget_waypointmodel.h"`
`#include <gtkmm/actiongroup.h>`
`#include "iconcontroller.h"`
`#include "workarea.h"`
`#include <sys/stat.h>`
`#include <errno.h>`
`#include <ETL/stringf>`
`#include "general.h"`

## Functions

void | edit_several_waypoints (etl::handle< CanvasView > canvas_view, std::list< synfigapp::ValueDesc > value_desc_list)

## Detailed Description

writeme

$Id$

## Function Documentation

void edit_several_waypoints | ( | etl::handle< CanvasView > | canvas_view,
|  | std::list< synfigapp::ValueDesc > | value_desc_list |
| ) |  |  |

References _, synfigapp::Action::create(), synfigapp::ValueDesc::get_value(), synfigapp::ValueDesc::get_value_node(), studio::Widget_WaypointModel::get_waypoint_model(), synfigapp::ValueDesc::is_valid(), and synfigapp::ValueDesc::is_value_node().

Referenced by studio::Instance::make_param_menu().